Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.20 veröffentlicht (27.02.19)


Benutzer, die gerade dieses Thema anschauen: 2 Gast/Gäste
Umzug mit Backup von Forumprofi
#1
Hallo, liebe Experten!

Nachdem die Einrichtung von MyBB auf unserem (Synology NAS) Server dank Eurer Hilfe soweit geglückt ist, wollte ich nun mein Forum, das bisher (als MyBB-Forum) bei Forumprofi  gewohnt hat, in seinem neuen Heim auswildern. Forumprofi hat mir das Ganze in einen ziemlich teuren Umzugskarton der Firma zip gepackt (zumindest hoffe ich, dass sie das Ganze eingepackt haben und nicht bloß das, was sich gerade zufällig greifen ließ ;-)  ). Ein Blick in den Karton zeigt neben einer Datei namens "database.sql" noch einige Ordner, die das Logo, ein paar Smilies, die Avatarbildchen sowie einige (unwichtige) Bilder enthalten. Kann jemand von Euch beurteilen, ob das in dieser Form vollständig sein kann - oder fehlen da von vornherein bestimmte Dateien? (Ich hoffe, diese und andere Fragen sind nicht gar so dämlich...)
 
Nun habe ich mich durch die Einträge hier gewühlt und folgenden Satz von StefanT ausgegraben: "Du kannst kein Backup einer alten Version in ein aktuelles MyBB importieren." 

Hmpf. Das leuchtet ein... Nun sitze ich hier mit dem Umzugskarton, lausche, wie meine Mitglieder drinnen mit den Hufen scharren - und habe  Fragen über Fragen...

Bei Forumprofi lief MyBB bis zum Schluss (zumindest nach deren vagen Bekundungen) in der Version 1.4.16. Es ist also davon auszugehen, dass das Backup auch auf dieser Version basiert.

Wäre es denn theoretisch denkbar, so ein MyBB 1.4.x noch irgendwo herunterzuladen?
Würde das meine Chancen erhöhen, die Daten unbeschadet zu importieren?

Ich bin dankbar für jeden Hinweis, der mich weiterbringt!
Freundliche Grüße
a.
Zitieren
#2
Ich habe es hinter mir und hätte es ohne Hilfe eines lieben Users aus diesem Forum wohl auch nie geschafft.
Dafür fehlte mir damals (jetzt teilweise auch noch) einfach das Wissen über MyBB, PHP und Datenbanken.
Ich kann Dir soviel sagen:
- Du bekommst von Forumprofi ein Datenbankbackup mit einem Softwarestand von vor 5-8 Jahren.
- Diese DB ist insoweit unvollständig, dass sie keine Versionsdaten und auch keine Einträge vom Templateset enthält.
- Die DB ist so nicht in ein MyBB 1.8.x implementierbar.
Es ist ein nicht zu unterschätzender Aufwand.
Zitieren
#3
(13.05.2019, 21:20)Schnapsnase schrieb: Ich habe es hinter mir und hätte es ohne Hilfe eines lieben Users aus diesem Forum wohl auch nie geschafft.
Dafür fehlte mir damals (jetzt teilweise auch noch) einfach das Wissen über MyBB, PHP und Datenbanken.
Ich kann Dir soviel sagen:
- Du bekommst von Forumprofi ein Datenbankbackup mit einem Softwarestand von vor 5-8 Jahren.
- Diese DB ist insoweit unvollständig, dass sie keine Versionsdaten und auch keine Einträge vom Templateset enthält.
- Die DB ist so nicht in ein MyBB 1.8.x implementierbar.
Es ist ein nicht zu unterschätzender Aufwand.

da muss der Host dringend nachbessern sofern seine AGB das nicht anders sehen.

Da es entgeltliches Backup war kannst das (falls nicht die AGB das anders sehen) Nachbesserung verlangen, was das Backup deiner Daten angeht, ein vollständiges Backup und zwar funktionierend!

und dann weil man ja nicht nachtragend ist, den Host bei allen möglichen Stellen negativ bewerten, gibt ja immer mal wieder so umfragen "wo finde ich den besten Host" etc. da einfach überall "egal wo nur nicht da" Wink

Zitat:Wäre es denn theoretisch denkbar, so ein MyBB 1.4.x noch irgendwo herunterzuladen?
Würde das meine Chancen erhöhen, die Daten unbeschadet zu importieren?


eher das nein, da es keine Host mehr gibt die derart alte PHP-Versionen unterstützen, damit ist das Backup tot - da empfielt sich ein völliger Neustart und falls die Beiträge noch erreichbar sind bei dem alten Host muss eben jeder User seine Beiträge die er noch haben will aus dem alten Forum, selber mit rüber holen
Zitieren
#4
Danke für Eure Anteilnahme Smile

Alles wegzuschmeißen und neu anzufangen oder den Kram von Hand rüberzuschleppen ist in diesem Fall keine Option.

Vielleicht hat noch jemand Erfahrung/Ideen/Tipps, wie es gehen könnte?
Zitieren
#5
Alte MyBB-Versionen findest du in unserem Versionsarchiv: https://www.mybb.de/downloads/versionsarchiv/
Diese sind allerdings mit aktuellen PHP-Versionen nicht lauffähig. Ältere Versionen des Merge-Systems haben wird dagegen nicht archiviert.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#6
Welche php-Version müsste man denn da ausgraben?
Zitieren
#7
php 5.2 und auch 5.3.0 sollten funktionieren
Zitieren
#8
Vielen Dank. Wäre das dann wiederum mit MariaDB10 oder MariaDB5 kompatibel?
Zitieren
#9
Das weiß ich nicht, denke aber, dass es mit MariaDB5 gehen wird.

P.s. Wenn Du PN in Deinem Profil deaktiviert hast, kann ich Dir auch nicht antworten. Big Grin
Zitieren
#10
Au weia.

Hab die PNs jetzt aktiviert (hoffe ich jedenfalls) Wink
Zitieren